Index: palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 3735)
+++ palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 3736)
@@ -1298,14 +1350,28 @@
              CALL netcdf_handle_error( 'surface_data_output_init', 5574 )
 
-             nc_stat = NF90_PUT_VAR( id_set_surf(av), id_var_etum_surf(av),        &
-                                     surfaces%es_utm, start = (/ surfaces%s(1) /), &
+             nc_stat = NF90_PUT_VAR( id_set_surf(av), id_var_etum_surf(av),    &
+                                     surfaces%es_utm,                          &
+                                     start = (/ surfaces%s(1) /),              &
                                      count = (/ surfaces%ns /) )
              CALL netcdf_handle_error( 'surface_data_output_init', 5575 )
 
-             nc_stat = NF90_PUT_VAR( id_set_surf(av), id_var_nutm_surf(av),        &
-                                     surfaces%ns_utm, start = (/ surfaces%s(1) /), &
+             nc_stat = NF90_PUT_VAR( id_set_surf(av), id_var_nutm_surf(av),    &
+                                     surfaces%ns_utm,                          &
+                                     start = (/ surfaces%s(1) /),              &
                                      count = (/ surfaces%ns /) )
              CALL netcdf_handle_error( 'surface_data_output_init', 5576 )
-             
+
+             nc_stat = NF90_PUT_VAR( id_set_surf(av), id_var_azimuth_surf(av), &
+                                     surfaces%azimuth,                         &
+                                     start = (/ surfaces%s(1) /),              &
+                                     count = (/ surfaces%ns /) )
+             CALL netcdf_handle_error( 'surface_data_output_init', 5585 )
+
+             nc_stat = NF90_PUT_VAR( id_set_surf(av), id_var_zenith_surf(av),  &
+                                     surfaces%zenith,                          &
+                                     start = (/ surfaces%s(1) /),              &
+                                     count = (/ surfaces%ns /) )
+             CALL netcdf_handle_error( 'surface_data_output_init', 5586 )
+
           ENDDO
 #endif
@@ -1314,15 +1380,15 @@
 
    END SUBROUTINE surface_data_output_init
-   
+
 !------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Routine for controlling the data output. Surface data is collected from 
-!> different types of surfaces (default, natural, urban) and different 
+!> Routine for controlling the data output. Surface data is collected from
+!> different types of surfaces (default, natural, urban) and different
 !> orientation and written to one 1D-output array. Further, NetCDF routines
 !> are called to write the surface data in the respective NetCDF files.
-!------------------------------------------------------------------------------!   
+!------------------------------------------------------------------------------!
    SUBROUTINE surface_data_output( av )
-   
+
       USE control_parameters,                                                  &
           ONLY:  io_blocks, io_group, time_since_reference_point
@@ -1331,9 +1397,9 @@
           ONLY:  comm2d, ierr
 
-   
+
       IMPLICIT NONE
 
       CHARACTER(LEN=100) ::  trimvar = ' ' !< dummy for single output variable
-      
+
       INTEGER(iwp) ::  av     !< id indicating average or non-average data output
       INTEGER(iwp) ::  i      !< loop index
@@ -1344,5 +1410,5 @@
       IF ( dosurf_no(av) == 0 )  RETURN
 !
-!--   In case of VTK output, check if binary files are open and write coordinates. 
+!--   In case of VTK output, check if binary files are open and write coordinates.
       IF ( to_vtk )  THEN
 
@@ -1372,9 +1438,10 @@
 #if defined( __netcdf4_parallel )
          IF ( dosurf_time_count(av) + 1 > ntdim_surf(av) )  THEN
-            WRITE ( message_string, * ) 'Output of surface data is not given at t=',          &
-                                        time_since_reference_point, 's because the maximum ', & 
-                                        'number of output time levels is exceeded.'
+            WRITE ( message_string, * )                               &
+               'Output of surface data is not given at t=',           &
+               time_since_reference_point, 's because the maximum ',  &
+               'number of output time levels is exceeded.'
             CALL message( 'surface_data_output', 'PA0539', 0, 1, 0, 6, 0 )
-            
+
             RETURN
 
@@ -1403,5 +1470,5 @@
          trimvar = TRIM( dosurf(av,n_out) )
 !
-!--      Set the output array to the _FillValue in case it is not 
+!--      Set the output array to the _FillValue in case it is not
 !--      defined for each type of surface.
          surfaces%var_out = surfaces%fillvalue
@@ -1427,12 +1494,12 @@
                                                surf_def_v(3)%us,               &
                                                surf_lsm_v(3)%us,               &
-                                               surf_usm_v(3)%us ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%us )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -1456,12 +1523,12 @@
                                                surf_def_v(3)%ts,               &
                                                surf_lsm_v(3)%ts,               &
-                                               surf_usm_v(3)%ts ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%ts )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -1485,12 +1552,12 @@
                                                surf_def_v(3)%qs,               &
                                                surf_lsm_v(3)%qs,               &
-                                               surf_usm_v(3)%qs ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%qs )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -1514,12 +1581,12 @@
                                                surf_def_v(3)%ss,               &
                                                surf_lsm_v(3)%ss,               &
-                                               surf_usm_v(3)%ss ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%ss )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -1543,12 +1610,12 @@
                                                surf_def_v(3)%qcs,              &
                                                surf_lsm_v(3)%qcs,              &
-                                               surf_usm_v(3)%qcs ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%qcs )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -1572,12 +1639,12 @@
                                                surf_def_v(3)%ncs,              &
                                                surf_lsm_v(3)%ncs,              &
-                                               surf_usm_v(3)%ncs ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%ncs )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -1601,12 +1668,12 @@
                                                surf_def_v(3)%qrs,              &
                                                surf_lsm_v(3)%qrs,              &
-                                               surf_usm_v(3)%qrs ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%qrs )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -1630,12 +1697,12 @@
                                                surf_def_v(3)%nrs,              &
                                                surf_lsm_v(3)%nrs,              &
-                                               surf_usm_v(3)%nrs ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%nrs )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -1659,12 +1726,12 @@
                                                surf_def_v(3)%ol,               &
                                                surf_lsm_v(3)%ol,               &
-                                               surf_usm_v(3)%ol ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%ol )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -1695,5 +1762,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -1724,5 +1791,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -1746,5 +1813,5 @@
                                                surf_def_v(3)%z0q,              &
                                                surf_lsm_v(3)%z0q,              &
-                                               surf_usm_v(3)%z0q ) 
+                                               surf_usm_v(3)%z0q )
                ELSE
 !
@@ -1782,5 +1849,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -1811,5 +1878,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -1840,5 +1907,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -1869,5 +1936,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -1898,5 +1965,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -1955,5 +2022,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -1984,5 +2051,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2013,5 +2080,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2042,5 +2109,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2071,5 +2138,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2100,5 +2167,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2129,5 +2196,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2158,5 +2225,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2187,5 +2254,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2216,5 +2283,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2238,12 +2305,12 @@
                                                surf_def_v(3)%rad_net,          &
                                                surf_lsm_v(3)%rad_net,          &
-                                               surf_usm_v(3)%rad_net ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%rad_net )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -2274,5 +2341,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2303,5 +2370,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2332,5 +2399,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2361,5 +2428,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2383,5 +2450,5 @@
                                                surf_def_v(3)%ghf,              &
                                                surf_lsm_v(3)%ghf,              &
-                                               surf_usm_v(3)%ghf )      
+                                               surf_usm_v(3)%ghf )
                                                                         ELSE
 !
@@ -2390,8 +2457,8 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
-               ENDIF
-                      
-            CASE ( 'r_a' )                                                     
+
+               ENDIF
+
+            CASE ( 'r_a' )
 !
 !--            Output of instantaneous data
@@ -2412,5 +2479,5 @@
                                                surf_def_v(3)%r_a,              &
                                                surf_lsm_v(3)%r_a,              &
-                                               surf_usm_v(3)%r_a )      
+                                               surf_usm_v(3)%r_a )
                                                                       ELSE
 !
@@ -2419,8 +2486,8 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
-               ENDIF
-                        
-            CASE ( 'r_soil' )                                                  
+
+               ENDIF
+
+            CASE ( 'r_soil' )
 !
 !--            Output of instantaneous data
@@ -2441,12 +2508,12 @@
                                                surf_def_v(3)%r_soil,           &
                                                surf_lsm_v(3)%r_soil,           &
-                                               surf_usm_v(3)%r_soil ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%r_soil )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -2470,12 +2537,12 @@
                                                surf_def_v(3)%r_canopy,         &
                                                surf_lsm_v(3)%r_canopy,         &
-                                               surf_usm_v(3)%r_canopy ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%r_canopy )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -2499,12 +2566,12 @@
                                                surf_def_v(3)%r_s,              &
                                                surf_lsm_v(3)%r_s,              &
-                                               surf_usm_v(3)%r_s ) 
-               ELSE
-!
-!--               Output of averaged data
-                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
-                                        REAL( average_count_surf, KIND=wp )
-                  surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+                                               surf_usm_v(3)%r_s )
+               ELSE
+!
+!--               Output of averaged data
+                  surfaces%var_out(:) = surfaces%var_av(:,n_out) /             &
+                                        REAL( average_count_surf, KIND=wp )
+                  surfaces%var_av(:,n_out) = 0.0_wp
+
                ENDIF
 
@@ -2535,5 +2602,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2564,5 +2631,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2593,5 +2660,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2622,5 +2689,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2651,5 +2718,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2680,5 +2747,5 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
+
                ENDIF
 
@@ -2709,7 +2776,7 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
-               ENDIF
-               
+
+               ENDIF
+
             CASE ( 'uvw1' )
 !
@@ -2738,6 +2805,6 @@
                                         REAL( average_count_surf, KIND=wp )
                   surfaces%var_av(:,n_out) = 0.0_wp
-                                                        
-               ENDIF   
+
+               ENDIF
 
 !
@@ -2747,5 +2814,5 @@
          END SELECT
 !
-!--      Write to binary file: 
+!--      Write to binary file:
 !--      - surfaces%points ( 3, 1-npoints )
 !--      - surfaces%polygons ( 5, 1-ns )
@@ -2768,12 +2835,13 @@
             ENDDO
          ENDIF
-         
+
          IF ( to_netcdf )  THEN
 #if defined( __netcdf4_parallel )
 !
 !--         Write output array to file
-            nc_stat = NF90_PUT_VAR( id_set_surf(av), id_var_dosurf(av,n_out),            &
-                                    surfaces%var_out,                                    &
-                                    start = (/ surfaces%s(1), dosurf_time_count(av) /),  &
+            nc_stat = NF90_PUT_VAR( id_set_surf(av), id_var_dosurf(av,n_out),  &
+                                    surfaces%var_out,                          &
+                                    start = (/ surfaces%s(1),                  &
+                                               dosurf_time_count(av) /),       &
                                     count = (/ surfaces%ns, 1 /) )
             CALL netcdf_handle_error( 'surface_data_output', 6667 )
@@ -2782,27 +2850,27 @@
 
       ENDDO
-      
+
 !
 !--   If averaged output was written to NetCDF file, set the counter to zero
       IF ( av == 1 )  average_count_surf = 0
-             
+
    END SUBROUTINE surface_data_output
-   
+
 !------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Routine for controlling the data averaging. 
-!------------------------------------------------------------------------------!     
+!> Routine for controlling the data averaging.
+!------------------------------------------------------------------------------!
    SUBROUTINE surface_data_output_averaging
-   
+
       IMPLICIT NONE
-      
+
       CHARACTER(LEN=100) ::  trimvar !< dummy variable for current output variable
-       
+
       INTEGER(iwp) ::  n_out  !< counter variables for surface output
-      
+
       n_out = 0
       DO  WHILE ( dosurf(1,n_out+1)(1:1) /= ' ' )
-         
+
          n_out   = n_out + 1
          trimvar = TRIM( dosurf(1,n_out) )
@@ -2826,5 +2894,5 @@
                                            surf_def_v(3)%us,                   &
                                            surf_lsm_v(3)%us,                   &
-                                           surf_usm_v(3)%us, n_out ) 
+                                           surf_usm_v(3)%us, n_out )
 
             CASE ( 'ts' )
@@ -2844,5 +2912,5 @@
                                            surf_def_v(3)%ts,                   &
                                            surf_lsm_v(3)%ts,                   &
-                                           surf_usm_v(3)%ts, n_out ) 
+                                           surf_usm_v(3)%ts, n_out )
 
             CASE ( 'qs' )
@@ -2862,5 +2930,5 @@
                                            surf_def_v(3)%qs,                   &
                                            surf_lsm_v(3)%qs,                   &
-                                           surf_usm_v(3)%qs, n_out ) 
+                                           surf_usm_v(3)%qs, n_out )
 
             CASE ( 'ss' )
@@ -2880,5 +2948,5 @@
                                            surf_def_v(3)%ss,                   &
                                            surf_lsm_v(3)%ss,                   &
-                                           surf_usm_v(3)%ss, n_out ) 
+                                           surf_usm_v(3)%ss, n_out )
 
             CASE ( 'qcs' )
@@ -2898,5 +2966,5 @@
                                            surf_def_v(3)%qcs,                  &
                                            surf_lsm_v(3)%qcs,                  &
-                                           surf_usm_v(3)%qcs, n_out ) 
+                                           surf_usm_v(3)%qcs, n_out )
 
             CASE ( 'ncs' )
@@ -2916,5 +2984,5 @@
                                            surf_def_v(3)%ncs,                  &
                                            surf_lsm_v(3)%ncs,                  &
-                                           surf_usm_v(3)%ncs, n_out ) 
+                                           surf_usm_v(3)%ncs, n_out )
 
             CASE ( 'qrs' )
@@ -2934,5 +3002,5 @@
                                            surf_def_v(3)%qrs,                  &
                                            surf_lsm_v(3)%qrs,                  &
-                                           surf_usm_v(3)%qrs, n_out ) 
+                                           surf_usm_v(3)%qrs, n_out )
 
             CASE ( 'nrs' )
@@ -2952,5 +3020,5 @@
                                            surf_def_v(3)%nrs,                  &
                                            surf_lsm_v(3)%nrs,                  &
-                                           surf_usm_v(3)%nrs, n_out ) 
+                                           surf_usm_v(3)%nrs, n_out )
 
             CASE ( 'ol' )
@@ -2970,5 +3038,5 @@
                                            surf_def_v(3)%ol,                   &
                                            surf_lsm_v(3)%ol,                   &
-                                           surf_usm_v(3)%ol, n_out ) 
+                                           surf_usm_v(3)%ol, n_out )
 
             CASE ( 'z0' )
